package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.SellOrder;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class OutOrderInfoDto {

    private StudentPaymentOrder StudentPaymentOrder;

    @ApiModelProperty(value = "服务收入",required = true)
    private BigDecimal serviceAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "销售收入",required = true)
    private BigDecimal goodsAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "缴费单号",required = true)
    private Long calenderId;

    private List<SellOrder> sellOrders;

    public List<SellOrder> getSellOrders() {
        return sellOrders;
    }

    public void setSellOrders(List<SellOrder> sellOrders) {
        this.sellOrders = sellOrders;
    }

    public BigDecimal getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(BigDecimal serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public BigDecimal getGoodsAmount() {
        return goodsAmount;
    }

    public void setGoodsAmount(BigDecimal goodsAmount) {
        this.goodsAmount = goodsAmount;
    }

    public com.ym.mec.biz.dal.entity.StudentPaymentOrder getStudentPaymentOrder() {
        return StudentPaymentOrder;
    }

    public void setStudentPaymentOrder(com.ym.mec.biz.dal.entity.StudentPaymentOrder studentPaymentOrder) {
        StudentPaymentOrder = studentPaymentOrder;
    }

    public Long getCalenderId() {
        return calenderId;
    }

    public void setCalenderId(Long calenderId) {
        this.calenderId = calenderId;
    }
}
